/* 
 * Copyright (C) 2011  Xin Zhang and Franck van Breugel
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You can find a copy of the GNU General Public License at
 * <http://www.gnu.org/licenses/>.
 */

package randomized;

import probabilistic.UniformChoice;

/**
 * This app simulates the game rock-paper-scissors.
 *
 * @author Xin Zhang
 * @author Franck van Breugel
 */
public class RockPaperScissorsTest
{
    public static void main(String[] args)
    {
	int rounds = 0;
	boolean won = true;
	boolean tie = true;
        while (tie && rounds < 3)
	{
	    int you = UniformChoice.make(3);
	    int opponent = UniformChoice.make(3);

	    tie = (you == opponent);
	    won = (you != opponent)
		&& ((you == 0 && opponent == 1)
		    || (you == 1 && opponent == 2)
		    || (you == 2 && opponent == 0));
            rounds++;
        }

        if (won)
	{
            System.out.println("You won!");
	}
        else
	{
            System.out.printf("You lost in %d rounds.%n", rounds);
	}
    }
}
